Loading...
Searching...
No Matches
Reduction.h File Reference

Defines internal classes related to Reduction Domains. More...

`#include "Expr.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::ReductionVariable
| A single named dimension of a reduction domain. More...
struct | Halide::Internal::ReductionVariable::Compare
| This lets you use a ReductionVariable as a key in a map of the form map<ReductionVariable, Foo, ReductionVariable::Compare>. More...
class | Halide::Internal::ReductionDomain
| A reference-counted handle on a reduction domain, which is just a vector of ReductionVariable. More...
struct | Halide::Internal::ReductionDomain::Compare
| This lets you use a ReductionDomain as a key in a map of the form map<ReductionDomain, Foo, ReductionDomain::Compare>. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::split_predicate_test ()

## Detailed Description

Defines internal classes related to Reduction Domains.

Definition in file Reduction.h.